"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x11490a980>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x11490aa20>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x11490aac0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x11490ab60>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x11490ac00>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x11490aca0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x11490ad40>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11490ade0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11490ae80>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11490af20>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x11490afc0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x11490b060>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x11490b100>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x11490b1a0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x11490b240>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x11490b2e0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x11490b380>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x11490b420>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x11490b4c0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x11490b560>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x11490b600>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x11490b6a0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x11490b740>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x11490b7e0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x11490b880>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x11490b920>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x11490b9c0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x11490ba60>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x11490bb00>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x11490bba0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x11490bc40>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x11490bce0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x11490bd80>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x11490be20>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x11490bec0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x11490bf60>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x114954040>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x1149540e0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x114954180>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x114954220>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1149542c0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x114954360>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x114954400>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x1149544a0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x114954540>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x1149545e0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x114954680>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x114954720>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1149547c0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x114954860>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x114954900>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x1149549a0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x114954a40>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x114954ae0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x114954b80>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x114954c20>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x114954cc0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x114954d60>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x114954e00>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x114954ea0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x114954f40>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x114954fe0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x114955080>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x114955120>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x1149551c0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x114955260>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x114955300>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x1149553a0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x114955440>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1149554e0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x114955580>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x114955620>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1149556c0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x114955760>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x114955800>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x1149558a0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x114955940>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x1149559e0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x114955a80>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x114955b20>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x114955c60>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x114955bc0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x114955d00>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x114955da0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x114955e40>)]
name: str = 'fr_HOCCN'
